---
- name: Acquiring home of current user
  when: ansible_facts["system"] == "Linux"
  ansible.builtin.shell:
    cmd: "echo ~{{ ansible_user }}"
  register: ansible_user_home
- name: Linking binaries to directories already in PATH environment variable
  ignore_errors: true
  ansible.builtin.file:
    src: "{{ ansible_user_home.stdout }}/downloads/archives/released/difftastic/{{ item }}"
    dest: "{{ ansible_user_home.stdout }}/.local/bin/{{ item }}"
    state: hard
  loop:
    - difft
- name: Linking binaries to directories already in PATH environment variable
  become: true
  ignore_errors: true
  ansible.builtin.file:
    src: "{{ ansible_user_home.stdout }}/downloads/archives/released/difftastic/{{ item }}"
    dest: "/usr/bin/{{ item }}"
    state: link
  loop:
    - difft
- name: Configuring usage of Difftastic as default git difference tool for user
  community.general.git_config:
    name: diff.tool
    scope: global
    value: difftastic